<%- include("templates/header")%>
<%- include("templates/navbar",{username:username}); %>

<div class="container pt-4">
<!-- Button trigger modal -->
<div class="container">
<button type="button" class="btn mb-5 text-white" data-toggle="modal" data-target="#exampleModal" style=" background-color: #640000">
    Visualizar Grafo Completo
  </button>
</div>
  <!-- Modal -->
  <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" >
    <div class="modal-dialog" role="document" style="margin-left:14em;">
      <div class="modal-content"style="width: 900px;height: 900px;">
        <div class="modal-header" style="border-bottom: 1px solid #640000;">
          <h5 class="modal-title" id="exampleModalLabel">Query: <strong>'MATCH(n)-[r]->(m) RETURN n,r,m'</strong></h5>
            <button type="button" class="btn close" data-dismiss="modal" aria-label="Close">
              <i class="fa fa-window-close" style="font-size: 25px;"></i>
            </button>
        </div>
        <div class="modal-body" id="viz"></div>
      </div>
    </div>
  </div>

    <div class="d-md-flex flex-md-equal w-100 my-md-3 pl-md-3">
      <div class="row">
        <% books.forEach(book => { %>
          <div class="col-lg-4 col-md-6 col-sm-6 mb-5">
            <div class="mr-md-3 pt-3 px-3 pt-md-5 px-md-5 text-center overflow-hidden" style="height:100% !important;border-radius: 10px;background-color: #640000">
              <div class="p-3 mb-0" style="min-height: 100px;">
                <a href="/book/<%=book.title%>" style="font-size: 20px;text-decoration: none;color:white"><strong><%= book.title %></strong></a>
              </div>
              <div class="bg-transparent box-shadow mx-auto" style="width: 80%; height: 350px; border-radius: 21px 21px 0 0;">
                <a href="/book/<%=book.title%>"><img src="<%=book.img%>" class=" text-center" style="width: 100%; height: 315px;"></a>
                  <% if (username=='neo4j'||username=='editor') { %>
                      <button class="btn" onclick="redirect(`<%=book.title%>`)"><span><i class="fas fa-trash-alt text-white"></i></span></button>
                  <% } %>
              </div>
            </div>
          </div>  
        <% }); %>
    </div>
  </div>
</div>

<script>
  function redirect(title) {
    window.location.href = `/book/delete/${title}`
  }
</script>
<%- include("templates/footer") %>
